=== src/dep/miniz/Makefile ===
all: libminiz.a

libminiz.a: miniz.o
	$(AR) rcs $@ $^
