=== debian/changelog ===
redisearch (1.0.8-1) unstable; urgency=medium

  * New upstream release.

 -- Chris Lamb <lamby@debian.org>  Wed, 28 Feb 2018 13:59:26 +0000

redisearch (1.0.7-1) unstable; urgency=medium

  * New upstream realease.
  * Move debhelper Build-Depends from 11 to 11~.
  * Override package-does-not-install-examples; these are for a dependency.

 -- Chris Lamb <lamby@debian.org>  Mon, 12 Feb 2018 10:10:43 +0000

redisearch (1.0.6-1) unstable; urgency=medium

  * New upstream release.

 -- Chris Lamb <lamby@debian.org>  Fri, 02 Feb 2018 09:29:42 +0000

redisearch (1.0.5-1) unstable; urgency=medium

  * New upstream release.
  * Use HTTPS URI for debian/copyright "Format" URI.

 -- Chris Lamb <lamby@debian.org>  Wed, 24 Jan 2018 22:30:20 +1100

redisearch (1.0.4-1) unstable; urgency=medium

  * New upstream release.

 -- Chris Lamb <lamby@debian.org>  Fri, 12 Jan 2018 10:26:07 +0530

redisearch (1.0.3-1) unstable; urgency=medium

  * New upstream release.
  * Remove 0001-Use-build-flags-from-outside-environment.patch; applied
    upstream.
  * Bump debhelper compat level to 11.
  * Bump Standards-Version to 4.1.3.
  * Don't install README.md into both binary packages.

 -- Chris Lamb <lamby@debian.org>  Sat, 06 Jan 2018 11:11:34 +0000

redisearch (1.0.2-1) unstable; urgency=medium

  * New upstream release.
  * Update 0001-Use-build-flags-from-outside-environment.patch to ensure .so
    file is hardened. Filed upstream:
    <https://github.com/RedisLabsModules/RediSearch/pull/245>
  * Update upstream's .gitignore so our changes to debian/ are visible without
    -f. Filed upstream as
    <https://github.com/RedisLabsModules/RediSearch/pull/244>.
  * Override no-upstream-changelog in all binary packages.

 -- Chris Lamb <lamby@debian.org>  Fri, 15 Dec 2017 17:49:39 +0000

redisearch (1.0.1-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.1.2.

 -- Chris Lamb <lamby@debian.org>  Sun, 10 Dec 2017 20:52:30 +0000

redisearch (1.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Chris Lamb <lamby@debian.org>  Wed, 29 Nov 2017 08:07:16 +0900

redisearch (0.99.2-1) unstable; urgency=medium

  * New upstream release.

 -- Chris Lamb <lamby@debian.org>  Mon, 27 Nov 2017 20:18:03 +0900

redisearch (0.99.0-1) unstable; urgency=medium

  * New upstream release.
  * Add override as upstream are not providing GPG signatures.
  * debian/watch:
    - Move to version 4 format.
    - Strip leading v from upstream URL.

 -- Chris Lamb <lamby@debian.org>  Sat, 18 Nov 2017 16:56:45 +0900

redisearch (0.90.1-1) unstable; urgency=medium

  * New upstream release.
    - Fix FTBFS on 32-bits architectures. (Closes: #880801)

 -- Chris Lamb <lamby@debian.org>  Sun, 05 Nov 2017 15:37:39 +0000

redisearch (0.90.0~alpha1-1) unstable; urgency=medium

  * New upstream alpha release.
  * debian/patches:
    - Refresh 0001-Use-build-flags-from-outside-environment.patch.
    - Drop 0002-Don-t-assume-that-non-Linux-is-OSX.-Closes-879948.patch;
      applied upstream.
  * debian/watch: Match all releases.

 -- Chris Lamb <lamby@debian.org>  Thu, 02 Nov 2017 19:51:29 +0100

redisearch (0.21.3-5) unstable; urgency=medium

  * Don't assume that non-Linux is OSX. (Closes: #879948)

 -- Chris Lamb <lamby@debian.org>  Fri, 27 Oct 2017 16:09:14 +0100

redisearch (0.21.3-4) unstable; urgency=medium

  * Install to /usr/lib/redis/modules/redisearch.so, not
    /var/lib/redis/modules/redisearch.so.

 -- Chris Lamb <lamby@debian.org>  Thu, 26 Oct 2017 12:53:15 +0100

redisearch (0.21.3-3) unstable; urgency=medium

  * Update debian/copyright.

 -- Chris Lamb <lamby@debian.org>  Wed, 25 Oct 2017 10:05:45 -0400

redisearch (0.21.3-2) unstable; urgency=medium

  * Specify Section: doc for redis-redisearch-doc.
  * Enable bindnow hardening.
  * Use build flags from outside environment.

 -- Chris Lamb <lamby@debian.org>  Tue, 24 Oct 2017 19:08:34 -0400

redisearch (0.21.3-1) unstable; urgency=medium

  * Initial release. (Closes: #879203)

 -- Chris Lamb <lamby@debian.org>  Tue, 24 Oct 2017 18:29:18 -0400
