=== debian/control ===
Source: redisearch
Section: python
Priority: optional
Maintainer: Chris Lamb <lamby@debian.org>
Build-Depends:
 debhelper (>= 11~),
Standards-Version: 4.1.3
Homepage: http://redisearch.io
Vcs-Git: https://github.com/lamby/pkg-redisearch.git
Vcs-Browser: https://github.com/lamby/pkg-redisearch

Package: redis-redisearch
Architecture: any
Depends:
 redis-server,
 ${misc:Depends},
 ${shlibs:Depends},
Description: Full-text and secondary search index engine module for Redis
 Redisearch implements a search engine on top of Redis but unlike other search
 libraries it does not use internal data structures such as sorted sets.
 .
 This also enables more advanced features such as exact phrase matching and
 numeric filtering for text queries that are not possible or efficient with
 traditional Redis search approaches.

Package: redis-redisearch-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
Description: Full-text and secondary search index engine module for Redis (documentation)
 Redisearch implements a search engine on top of Redis but unlike other search
 libraries it does not use internal data structures such as sorted sets.
 .
 This also enables more advanced features such as exact phrase matching and
 numeric filtering for text queries that are not possible or efficient with
 traditional Redis search approaches.
 .
 This package contains the documentation for redisearch.
