=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

DPKG_EXPORT_BUILDFLAGS = 1

include /usr/share/dpkg/buildflags.mk

%:
	dh $@

override_dh_auto_test:
	# Tests require Python "rmtest" which is not in Debian.

override_dh_installdocs:
	dh_installdocs
	rm -f ./debian/redis-redisearch-doc/usr/share/doc/redis-redisearch-doc/docs/CNAME

override_dh_compress:
	dh_compress -X.md
