=== debian/tests/control ===
Tests: load-module
Depends: @, redis-server
