=== debian/watch ===
version=4
opts="uversionmangle=s/^v//g" \
https://github.com/RedisLabsModules/RediSearch/releases .*/archive/(.*).tar.gz
