=== debian/changelog ===
redisearch (1.0.9-1) unstable; urgency=medium

  * New upstream release.

 -- Chris Lamb <lamby@debian.org>  Fri, 23 Mar 2018 18:20:23 -0400
