=== requirements.txt ===
redis
rmtest
