=== src/Makefile ===
--- 
+++ 
@@ -18,10 +18,16 @@
 	-DREDISMODULE_EXPERIMENTAL_API 
 CFLAGS += $(DEBUGFLAGS)
 
+GITVERSION=$(shell git describe)
+ifdef GITVERSION
+	CFLAGS += -DRS_GIT_VERSION=\"$(GITVERSION)\"
+endif
+
 LINKER=$(CC)
 # Compile flags for non-osx / osx
 ifneq ($(uname_S),Darwin)
 	SHOBJ_LDFLAGS ?= -shared -Bsymbolic -Bsymbolic-functions -ldl -lpthread
+	CFLAGS += -Wfree-nonheap-object
 else
 	LINKER = $(LD)
 	CFLAGS += -mmacosx-version-min=10.6
@@ -38,8 +44,12 @@
 CC_SOURCES += $(wildcard $(SOURCEDIR)/ext/*.c) 
 CC_SOURCES += $(wildcard $(SOURCEDIR)/util/*.c) 
 CC_SOURCES += $(wildcard $(SOURCEDIR)/trie/*.c) 
+CC_SOURCES += $(wildcard $(SOURCEDIR)/aggregate/*.c) 
+CC_SOURCES += $(wildcard $(SOURCEDIR)/aggregate/*/*.c) 
 CC_SOURCES += $(wildcard $(SOURCEDIR)/dep/thpool/*.c) 
+CC_SOURCES += $(wildcard $(SOURCEDIR)/dep/hll/*.c) 
 CC_SOURCES += $(wildcard $(SOURCEDIR)/dep/cndict/*.c)
+CC_SOURCES += $(wildcard $(SOURCEDIR)/module-init/*.c)
 
 # Convert all sources to .o files
 CC_OBJECTS = $(sort $(patsubst %.c, %.o, $(CC_SOURCES) ))
@@ -58,9 +68,11 @@
 LIBSTEMMER=dep/snowball/libstemmer.o
 LIBFRISO=dep/friso/libfriso.a
 LIBMINIZ=dep/miniz/libminiz.a
+LIBBLOOM=dep/bloom/libbloom.a
 
 # Compilation deps for the module
-LIBS=$(LIBTRIE) $(LIBTRIEMAP) $(LIBRMUTIL) $(LIBNU) $(LIBFRISO) $(LIBSTEMMER)
+LIBS=$(LIBTRIE) $(LIBTRIEMAP) $(LIBRMUTIL) $(LIBNU) $(LIBFRISO) $(LIBSTEMMER) \
+	 $(LIBBLOOM)
 # TODO: make conditional on chinese support
 LIBS += $(LIBMINIZ)
 MODULE=$(CC_OBJECTS) $(LIBS)
@@ -98,6 +110,8 @@
 	$(MAKE) -C dep/friso -f Makefile.RediSearch
 $(LIBMINIZ):
 	$(MAKE) -C dep/miniz
+$(LIBBLOOM):
+	$(MAKE) -C dep/bloom
 
 # Compile query parse .y and .rl files. 
 # This is not included in the usual make target!
