=== src/pytest/Makefile ===
test:
	python -m unittest discover -v
