=== src/query_parser/Makefile ===
SRCUTIL := ../../srcutil
PARSER_SYMBOL_PREFIX := RSQuery
include $(SRCUTIL)/make-parser.mk
