=== src/rmutil/CMakeLists.txt ===
ADD_LIBRARY(rmutil OBJECT
    alloc.c
    cmdparse.c
    heap.c
    periodic.c
    priority_queue.c
    sds.c
    strings.c
    util.c
    vector.c)
