=== debian/changelog ===
redisearch (1:1.2.1-4) unstable; urgency=medium

  * Pass -ffile-prefix-map for a reproducible build.

 -- Chris Lamb <lamby@debian.org>  Tue, 22 Jan 2019 10:22:39 +0000

redisearch (1:1.2.1-3) unstable; urgency=medium

  * Check for __FreeBSD_kernel__ over __FreeBSD__ for CLOCK_MONOTONIC_RAW.
    Thanks to James Clarke for the pointer.

 -- Chris Lamb <lamby@debian.org>  Mon, 14 Jan 2019 00:05:08 +0000

redisearch (1:1.2.1-2) unstable; urgency=medium

  * Define CLOCK_MONOTONIC_RAW for kFreeBSD.
  * debian/control:
    - Bump debhelper compatibility level.
    - Bump Standards-Version to 4.3.0.

 -- Chris Lamb <lamby@debian.org>  Wed, 02 Jan 2019 17:18:52 +0000

redisearch (1:1.2.1-1) unstable; urgency=medium

  * Package the last AGPLv3 (ie. non Commons Clause) package from the GoodFORM
    project <https://goodformcode.com/>, regrettably bumping the epoch.
    - Update debian/copyright.
    - Update debian/watch.
    - Update Homepage field.
  * Use debhelper-compat virtual package and drop debian/compat.
  * Bump Standards-Version to 4.2.1.

 -- Chris Lamb <lamby@debian.org>  Wed, 24 Oct 2018 20:48:33 -0400

redisearch (1.4.0~rc3-1) unstable; urgency=medium

  * New upstream RC release.
  * debian/watch: Also mangle "rc" releases.

 -- Chris Lamb <lamby@debian.org>  Sun, 19 Aug 2018 09:48:57 +0100

redisearch (1.4.0~rc1-1) unstable; urgency=medium

  * New upstream RC release.

 -- Chris Lamb <lamby@debian.org>  Thu, 16 Aug 2018 09:53:59 +0100

redisearch (1.3.0~preview3-1) unstable; urgency=medium

  * New upstream preview release.
  * Bump Standards-Version to 4.2.0.

 -- Chris Lamb <lamby@debian.org>  Sat, 11 Aug 2018 18:22:01 +0200

redisearch (1.3.0~preview2-1) unstable; urgency=medium

  * New upstream preview release.
    - Add cmake to Build-Depends.
  * debian/watch: Support beta/preview suffixes.
  * Bump Standards-Version to 4.1.5.

 -- Chris Lamb <lamby@debian.org>  Thu, 02 Aug 2018 10:12:40 +0800

redisearch (1.2.0-2) unstable; urgency=medium

  * Update Vcs-* to point to salsa.debian.org.

 -- Chris Lamb <lamby@debian.org>  Fri, 08 Jun 2018 17:47:16 +0100

redisearch (1.2.0-1) unstable; urgency=medium

  * New upstream release.

 -- Chris Lamb <lamby@debian.org>  Tue, 15 May 2018 08:42:32 +0100

redisearch (1.1.0-1) unstable; urgency=medium

  * New upstream release.
    - Drop debian/patches/0001-remove-mpopcnt-and-opt-for-simple-pop-counting;
      applied upstream.

 -- Chris Lamb <lamby@debian.org>  Wed, 25 Apr 2018 07:53:20 +0100

redisearch (1.0.10-3) unstable; urgency=medium

  * Use upstream's patch for removing -mpopcnt.

 -- Chris Lamb <lamby@debian.org>  Tue, 24 Apr 2018 22:35:11 +0100

redisearch (1.0.10-2) unstable; urgency=medium

  * Drop -mpopcnt from CLAGS. This was added upstream in
    <https://github.com/RedisLabsModules/RediSearch/commit/a693e0e1c92e629bfdc78afcd00b1050e68dd238>.
    (Closes: #896593)

 -- Chris Lamb <lamby@debian.org>  Sun, 22 Apr 2018 22:16:23 +0200

redisearch (1.0.10-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.1.4.

 -- Chris Lamb <lamby@debian.org>  Sat, 21 Apr 2018 21:52:16 +0200
