=== debian/control ===
--- 
+++ 
@@ -3,11 +3,12 @@
 Priority: optional
 Maintainer: Chris Lamb <lamby@debian.org>
 Build-Depends:
- debhelper (>= 11~),
-Standards-Version: 4.1.3
-Homepage: http://redisearch.io
-Vcs-Git: https://github.com/lamby/pkg-redisearch.git
-Vcs-Browser: https://github.com/lamby/pkg-redisearch
+ cmake,
+ debhelper-compat (= 12),
+Standards-Version: 4.3.0
+Homepage: https://github.com/goodform/RediSearch
+Vcs-Git: https://salsa.debian.org/lamby/pkg-redisearch.git
+Vcs-Browser: https://salsa.debian.org/lamby/pkg-redisearch
 
 Package: redis-redisearch
 Architecture: any
