=== src/ext/Makefile ===
CFLAGS ?= -g -fPIC -lc -lm -O2 -std=gnu99

.SUFFIXES: .c .so .xo .o

all: default.o
