=== src/pytest/Makefile ===
PYTHON:=python2

test:
	$(PYTHON) -m unittest discover -v
