=== src/util/Makefile ===
CFLAGS ?= -g -ggdb -fPIC -lc -lm -O2 -std=gnu99

CC=gcc
.SUFFIXES: .c .so .xo .o

all: heap.o logging.o fnv.o block_alloc.o
