=== debian/changelog ===
redisearch (1:1.2.2-4) unstable; urgency=medium

  [ Chris Lamb ]
  * Redis modules require executable permissions, otherwise redis-server will
    refuse to start. (Closes: #989385)
  * Drop some binary overrides.
  * Bump debhelper compatibility level to 13.
  * Apply wrap-and-sort -sa.

  [ Debian Janitor ]
  * Apply multi-arch hints. + redis-redisearch-doc: Add Multi-Arch: foreign.

 -- Chris Lamb <lamby@debian.org>  Wed, 02 Jun 2021 16:28:14 +0100

redisearch (1:1.2.2-3) unstable; urgency=medium

  * Sleep to ensure the server has started before running the autopkgtests.

 -- Chris Lamb <lamby@debian.org>  Thu, 23 Apr 2020 13:31:42 +0100

redisearch (1:1.2.2-2) unstable; urgency=medium

  * Ensure that the server is started before running autopkgtests.

 -- Chris Lamb <lamby@debian.org>  Mon, 20 Apr 2020 23:46:17 +0100

redisearch (1:1.2.2-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.5.0.
  * Add Rules-Requires-Root: no.

 -- Chris Lamb <lamby@debian.org>  Wed, 15 Apr 2020 11:34:54 +0100
