=== debian/control ===
--- 
+++ 
@@ -4,11 +4,12 @@
 Maintainer: Chris Lamb <lamby@debian.org>
 Build-Depends:
  cmake,
- debhelper-compat (= 12),
-Standards-Version: 4.3.0
+ debhelper-compat (= 13),
+Standards-Version: 4.5.0
 Homepage: https://github.com/goodform/RediSearch
 Vcs-Git: https://salsa.debian.org/lamby/pkg-redisearch.git
 Vcs-Browser: https://salsa.debian.org/lamby/pkg-redisearch
+Rules-Requires-Root: no
 
 Package: redis-redisearch
 Architecture: any
@@ -29,6 +30,7 @@
 Architecture: all
 Depends:
  ${misc:Depends},
+Multi-Arch: foreign
 Description: Full-text and secondary search index engine module for Redis (documentation)
  Redisearch implements a search engine on top of Redis but unlike other search
  libraries it does not use internal data structures such as sorted sets.
