=== debian/rules ===
--- 
+++ 
@@ -16,5 +16,12 @@
 	dh_installdocs
 	rm -f ./debian/redis-redisearch-doc/usr/share/doc/redis-redisearch-doc/docs/CNAME
 
+override_dh_fixperms:
+	dh_fixperms
+	
+	# Redis modules require executable permissions, otherwise redis-server
+	# will refuse to start. (#989385)
+	find debian/ -name redisearch.so -print0 | xargs -0r chmod +x
+
 override_dh_compress:
 	dh_compress -X.md
