=== debian/tests/control ===
Tests: load-module
Depends:
 redis-server,
 @,
Restrictions: needs-root
