=== debian/watch ===
version=4
opts="uversionmangle=s/^v//g;s/-(beta|preview|rc)/~$1/g" \
https://github.com/GoodForm/RediSearch/releases .*/archive/(.*).tar.gz
